Bug 216790 - git: executable man pages
Summary: git: executable man pages
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: git (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Chris Wright
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: EasyFix
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-22 00:06 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-11 06:01:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ville Skyttä 2006-11-22 00:06:44 UTC
git's man pages are needlessly installed executable:

$ rpm -ql git-core-1.4.2.4-1.fc6.x86_64 | grep man | xargs ls -g
-rwxr-xr-x 1 root  1152 Oct 18 07:14 /usr/share/man/man1/git-add.1.gz
-rwxr-xr-x 1 root  1446 Oct 18 07:14 /usr/share/man/man1/git-am.1.gz
-rwxr-xr-x 1 root   649 Oct 18 07:14 /usr/share/man/man1/git-annotate.1.gz
-rwxr-xr-x 1 root  2086 Oct 18 07:14 /usr/share/man/man1/git-apply.1.gz
-rwxr-xr-x 1 root  1499 Oct 18 07:14 /usr/share/man/man1/git-applymbox.1.gz
-rwxr-xr-x 1 root   793 Oct 18 07:14 /usr/share/man/man1/git-applypatch.1.gz
-rwxr-xr-x 1 root  1795 Oct 18 07:14 /usr/share/man/man1/git-bisect.1.gz
-rwxr-xr-x 1 root   667 Oct 18 07:14 /usr/share/man/man1/git-blame.1.gz
-rwxr-xr-x 1 root  1443 Oct 18 07:14 /usr/share/man/man1/git-branch.1.gz
-rwxr-xr-x 1 root   993 Oct 18 07:14 /usr/share/man/man1/git-cat-file.1.gz
-rwxr-xr-x 1 root  2005 Oct 18 07:14 /usr/share/man/man1/git-checkout.1.gz
-rwxr-xr-x 1 root  2486 Oct 18 07:14 /usr/share/man/man1/git-checkout-index.1.gz
-rwxr-xr-x 1 root  1185 Oct 18 07:14 /usr/share/man/man1/git-check-ref-format.1.gz
-rwxr-xr-x 1 root   888 Oct 18 07:14 /usr/share/man/man1/git-cherry.1.gz
[...]

Comment 1 Chris Wright 2006-12-11 06:01:06 UTC
Thanks fixed with %attr directive on manpages.

Comment 2 Chris Wright 2006-12-11 07:34:12 UTC
Scratch that, just did it at the source.


Note You need to log in before you can comment on or make changes to this bug.